Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml
Class DumperOptions

    java.lang.Object
      org.yaml.snakeyaml.DumperOptions

    public class DumperOptions

extends Object

Nested Class Summary
`static class` | `DumperOptions.FlowStyle` Block styles use indentation to denote nesting and scope within the document.
`static class` | `DumperOptions.LineBreak` Platform dependent line break.
`static class` | `DumperOptions.ScalarStyle` YAML provides a rich set of scalar styles.
`static class` | `DumperOptions.Version` Specification version.

Constructor Summary
`DumperOptions()`

Method Summary
`DumperOptions.ScalarStyle` | `calculateScalarStyle(ScalarAnalysis analysis, DumperOptions.ScalarStyle style)` Define the ScalarStyle to be used for emitting scalars
`DumperOptions.FlowStyle` | `getDefaultFlowStyle()`
`DumperOptions.ScalarStyle` | `getDefaultScalarStyle()`
`Tag` | `getExplicitRoot()` Deprecated. do not use explicit root Tag
`int` | `getIndent()`
`DumperOptions.LineBreak` | `getLineBreak()`
`Map<String,String>` | `getTags()`
`DumperOptions.Version` | `getVersion()`
`int` | `getWidth()`
`boolean` | `isAllowReadOnlyProperties()` Report whether read-only JavaBean properties (the ones without setters) should be included in the YAML document
`boolean` | `isAllowUnicode()`
`boolean` | `isCanonical()`
`boolean` | `isExplicitEnd()`
`boolean` | `isExplicitStart()`
`boolean` | `isPrettyFlow()`
`void` | `setAllowReadOnlyProperties(boolean allowReadOnlyProperties)` Set to true to include read-only JavaBean properties (the ones without setters) in the YAML document.
`void` | `setAllowUnicode(boolean allowUnicode)` Specify whether to emit non-ASCII printable Unicode characters (to support ASCII terminals).
`void` | `setCanonical(boolean canonical)` Force the emitter to produce a canonical YAML document.
`void` | `setDefaultFlowStyle(DumperOptions.FlowStyle defaultFlowStyle)`
`void` | `setDefaultScalarStyle(DumperOptions.ScalarStyle defaultStyle)` Set default style for scalars.
`void` | `setExplicitEnd(boolean explicitEnd)`
`void` | `setExplicitRoot(String expRoot)` Deprecated. use Tag instead of String
`void` | `setExplicitRoot(Tag expRoot)` Deprecated. do not use explicit root Tag
`void` | `setExplicitStart(boolean explicitStart)`
`void` | `setIndent(int indent)`
`void` | `setLineBreak(DumperOptions.LineBreak lineBreak)` Specify the line break to separate the lines.
`void` | `setPrettyFlow(boolean prettyFlow)` Force the emitter to produce a pretty YAML document when using the flow style.
`void` | `setTags(Map<String,String> tags)`
`void` | `setVersion(DumperOptions.Version version)`
`void` | `setWidth(int bestWidth)` Specify the preferred width to emit scalars.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DumperOptions

    public DumperOptions()

Method Detail

### isAllowUnicode

    public boolean isAllowUnicode()

### setAllowUnicode

    public void setAllowUnicode(boolean allowUnicode)

  Specify whether to emit non-ASCII printable Unicode characters (to support ASCII terminals). The default value is true.

  Parameters:
    `allowUnicode` - if allowUnicode is false then all non-ASCII characters are escaped

### getDefaultScalarStyle

    public DumperOptions.ScalarStyle getDefaultScalarStyle()

### setDefaultScalarStyle

    public void setDefaultScalarStyle(DumperOptions.ScalarStyle defaultStyle)

  Set default style for scalars. See YAML 1.1 specification, 2.3 Scalars (http://yaml.org/spec/1.1/#id858081)

  Parameters:
    `defaultStyle` - set the style for all scalars

### setIndent

    public void setIndent(int indent)

### getIndent

    public int getIndent()

### setVersion

    public void setVersion(DumperOptions.Version version)

### getVersion

    public DumperOptions.Version getVersion()

### setCanonical

    public void setCanonical(boolean canonical)

  Force the emitter to produce a canonical YAML document.

  Parameters:
    `canonical` - true produce canonical YAML document

### isCanonical

    public boolean isCanonical()

### setPrettyFlow

    public void setPrettyFlow(boolean prettyFlow)

  Force the emitter to produce a pretty YAML document when using the flow style.

  Parameters:
    `prettyFlow` - true produce pretty flow YAML document

### isPrettyFlow

    public boolean isPrettyFlow()

### setWidth

    public void setWidth(int bestWidth)

  Specify the preferred width to emit scalars. When the scalar representation takes more then the preferred with the scalar will be split into a few lines. The default is 80.

  Parameters:
    `bestWidth` - the preferred with for scalars.

### getWidth

    public int getWidth()

### getLineBreak

    public DumperOptions.LineBreak getLineBreak()

### setDefaultFlowStyle

    public void setDefaultFlowStyle(DumperOptions.FlowStyle defaultFlowStyle)

### getDefaultFlowStyle

    public DumperOptions.FlowStyle getDefaultFlowStyle()

### getExplicitRoot

    public Tag getExplicitRoot()

  Deprecated. do not use explicit root Tag

### setExplicitRoot

    public void setExplicitRoot(String expRoot)

  Deprecated. use Tag instead of String

  Parameters:
    `expRoot` - tag to be used for the root node. (JavaBeans may use Tag.MAP="tag:yaml.org,2002:map")

### setExplicitRoot

    public void setExplicitRoot(Tag expRoot)

  Deprecated. do not use explicit root Tag

  Parameters:
    `expRoot` - tag to be used for the root node. (JavaBeans may use Tag.MAP="tag:yaml.org,2002:map")

### setLineBreak

    public void setLineBreak(DumperOptions.LineBreak lineBreak)

  Specify the line break to separate the lines. It is platform specific: Windows - "\r\n", old MacOS - "\r", Unix - "\n". The default value is the one for Unix.

### isExplicitStart

    public boolean isExplicitStart()

### setExplicitStart

    public void setExplicitStart(boolean explicitStart)

### isExplicitEnd

    public boolean isExplicitEnd()

### setExplicitEnd

    public void setExplicitEnd(boolean explicitEnd)

### getTags

    public Map<String,String> getTags()

### setTags

    public void setTags(Map<String,String> tags)

### calculateScalarStyle

    public DumperOptions.ScalarStyle calculateScalarStyle(ScalarAnalysis analysis,
                                                          DumperOptions.ScalarStyle style)

  Define the ScalarStyle to be used for emitting scalars

  Parameters:
    `analysis` - - Scalar meta data
    `style` - - automatically detected style
  Returns:
    ScalarStyle to be used for scalar

### isAllowReadOnlyProperties

    public boolean isAllowReadOnlyProperties()

  Report whether read-only JavaBean properties (the ones without setters) should be included in the YAML document

  Returns:
    false when read-only JavaBean properties are not emitted

### setAllowReadOnlyProperties

    public void setAllowReadOnlyProperties(boolean allowReadOnlyProperties)

  Set to true to include read-only JavaBean properties (the ones without setters) in the YAML document. By default these properties are not included to be able to parse later the same JavaBean.

  Parameters:
    `allowReadOnlyProperties` - - true to dump read-only JavaBean properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.